com.ibm.openpages.api.trigger.oob.lifecycle

## Class DefaultLifecycleRule

- java.lang.Object
- - com.ibm.openpages.api.trigger.AbstractRule
  - - com.ibm.openpages.api.trigger.ext.DefaultRule
    - - com.ibm.openpages.api.trigger.oob.lifecycle.DefaultLifecycleRule

-     public class DefaultLifecycleRule
      extends DefaultRule

  DefaultLifecycleRule - This rule is used for the Lifecycle transition change

  Trigger Attributes:
  objecttype - Resource Type Name. E.g.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLifecycleRule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkObjectType(IGRCObject object)`
    `java.lang.String` | `getAssigneeFieldName()`
    `java.lang.String` | `getFieldGroup()`
    `java.lang.String` | `getLifecycleFieldName()`
    `java.lang.String` | `getObjectType()`
    `java.lang.String` | `getTransitionFieldName()`
    `java.lang.String` | `getUpdateAssigneeFieldName()`
    `boolean` | `isApplicable(AssociateResourceEvent event)` Default isApplicable() method for AssociateResourceEvent type.
    `boolean` | `isApplicable(CopyResourceEvent event)` Default isApplicable() method for CopyResourceEvent type.
    `boolean` | `isApplicable(CreateResourceEvent event)` Default isApplicable() method for CreateResourceEvent type.
    `boolean` | `isApplicable(DeleteResourceEvent event)` Default isApplicable() method for DeleteResourceEvent type.
    `boolean` | `isApplicable(DisassociateResourceEvent event)` Default isApplicable() method for DisassociateResourceEvent type.
    `boolean` | `isApplicable(QueryEvent event)` Default isApplicable() method for QueryEvent type.
    `boolean` | `isApplicable(SearchEvent event)` Default isApplicable() method for SearchEvent type.
    `boolean` | `isApplicable(UpdateResourceEvent event)` Default isApplicable() method for UpdateResourceEvent type.

    - ### Methods inherited from class com.ibm.openpages.api.trigger.ext.DefaultRule

      `isApplicable, isApplicable, isApplicable, isApplicable, isApplicable`

    - ### Methods inherited from class com.ibm.openpages.api.trigger.AbstractRule

      `getAttributes, setAttributes`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLifecycleRule

          public DefaultLifecycleRule()

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(CreateResourceEvent event)

      Description copied from class: `DefaultRule`
      Default isApplicable() method for CreateResourceEvent type. It always return false. Override this methods if CreateResourceEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a create resource event to be handled

    - #### isApplicable

          public boolean isApplicable(UpdateResourceEvent event)

      Description copied from class: `DefaultRule`
      Default isApplicable() method for UpdateResourceEvent type. It always return false. Override this methods if UpdateResourceEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - an update resource event to be handled

    - #### isApplicable

          public boolean isApplicable(AssociateResourceEvent event)

      Description copied from class: `DefaultRule`
      Default isApplicable() method for AssociateResourceEvent type. It always return false. Override this methods if AssociateResourceEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - an associate resource event to be handled

    - #### isApplicable

          public boolean isApplicable(DisassociateResourceEvent event)

      Description copied from class: `DefaultRule`
      Default isApplicable() method for DisassociateResourceEvent type. It always return false. Override this methods if DisassociateResourceEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a disassociate resource event to be handled

    - #### isApplicable

          public boolean isApplicable(CopyResourceEvent event)

      Description copied from class: `DefaultRule`
      Default isApplicable() method for CopyResourceEvent type. It always return false. Override this methods if CopyResourceEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a copy resource event to be handled

    - #### isApplicable

          public boolean isApplicable(DeleteResourceEvent event)

      Description copied from class: `DefaultRule`
      Default isApplicable() method for DeleteResourceEvent type. It always return false. Override this methods if DeleteResourceEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a delete resource event to be handled

    - #### isApplicable

          public boolean isApplicable(QueryEvent event)

      Description copied from class: `DefaultRule`
      Default isApplicable() method for QueryEvent type. It always return false. Override this methods if QueryEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a query event to be handled

    - #### isApplicable

          public boolean isApplicable(SearchEvent event)

      Description copied from class: `DefaultRule`
      Default isApplicable() method for SearchEvent type. It always return false. Override this methods if SearchEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a search event to be handled

    - #### checkObjectType

          public boolean checkObjectType(IGRCObject object)

    - #### getObjectType

          public java.lang.String getObjectType()

    - #### getFieldGroup

          public java.lang.String getFieldGroup()

    - #### getTransitionFieldName

          public java.lang.String getTransitionFieldName()

    - #### getLifecycleFieldName

          public java.lang.String getLifecycleFieldName()

    - #### getAssigneeFieldName

          public java.lang.String getAssigneeFieldName()

    - #### getUpdateAssigneeFieldName

          public java.lang.String getUpdateAssigneeFieldName()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.